<?php

$imageColumns = [
	'tx_sgnews_teaser1_image' => [
		'exclude' => TRUE,
		'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_image',
		'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
			'tx_sgnews_teaser1_image',
			[
				'maxitems' => 9999,
				'foreign_types' => [
					'0' => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					]
				],
				'appearance' => [
					'showPossibleLocalizationRecords' => TRUE,
					'showRemovedLocalizationRecords' => TRUE,
					'showSynchronizationLink' => TRUE,
					'showAllLocalizationLink' => TRUE,
				],
			],
			$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
		),
	],
	'tx_sgnews_teaser2_image' => [
		'exclude' => TRUE,
		'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser2_image',
		'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
			'tx_sgnews_teaser2_image',
			[
				'maxitems' => 9999,
				'foreign_types' => [
					'0' => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					],
					\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
						'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
					]
				],
				'appearance' => [
					'showPossibleLocalizationRecords' => TRUE,
					'showRemovedLocalizationRecords' => TRUE,
					'showSynchronizationLink' => TRUE,
					'showAllLocalizationLink' => TRUE,
				],
			],
			$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
		),
	],
];

$columns = array_merge(
	[
		'tx_sgnews_author' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_author',
			'config' => [
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'fe_users',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
				'items' => [
					['', ''],
				],
				'wizards' => [
					'suggest' => [
						'type' => 'suggest',
					],
				],
			],
		],
		'tx_sgnews_related_news' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_related_news',
			'config' => [
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'pages',
				'size' => 5,
				'minitems' => 0,
				'maxitems' => 99,
				'wizards' => [
					'suggest' => [
						'type' => 'suggest',
					],
				],
			],
		],
		'tx_sgnews_highlighted' => [
			'displayCond' => 'FIELD:tx_sgnews_never_highlighted:=:0',
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_highlighted',
			'config' => [
				'type' => 'check',
			],
		],
		'tx_sgnews_never_highlighted' => [
			'displayCond' => 'FIELD:tx_sgnews_highlighted:=:0',
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_never_highlighted',
			'config' => [
				'type' => 'check',
			],
		],
		'tx_sgnews_tags' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_tags',
			'config' => [
				'type' => 'select',
				'maxitems' => 9999,
				'size' => 10,
				'foreign_table' => 'sys_category',
				'foreign_table_where' => 'AND (IF (###PAGE_TSCONFIG_ID### = 0, 1, sys_category.pid = ###PAGE_TSCONFIG_ID###)) AND sys_category.sys_language_uid IN (-1, 0) ORDER BY sys_category.sorting ASC',
				'MM' => 'sys_category_record_mm',
				'MM_match_fields' => [
					'fieldname' => 'tx_sgnews_tags',
					'tablenames' => 'pages'
				],
				'MM_opposite_field' => 'items',
				'renderType' => 'selectTree',
				'treeConfig' => [
					'parentField' => 'parent',
					'appearance' => [
						'expandAll' => 1,
						'maxLevels' => 99,
						'showHeader' => 1
					]
				]
			]
		],
		'tx_sgnews_likes' => [
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_likes',
			'config' => [
				'type' => 'input',
				'size' => '20',
				'eval' => 'trim',
			]
		],
		'lastUpdated' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_date_start',
			'config' => [
				'type' => 'input',
				'size' => '13',
				'max' => '20',
				'eval' => 'datetime',
				'default' => $GLOBALS['EXEC_TIME'],
			]
		],
		'tx_sgnews_date_end' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_date_end',
			'config' => [
				'type' => 'input',
				'size' => '13',
				'max' => '20',
				'eval' => 'datetime',
				'default' => $GLOBALS['EXEC_TIME'],
			]
		],
		'tx_sgnews_location' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_location',
			'config' => [
				'type' => 'input',
				'size' => 20,
				'eval' => 'trim'
			]
		]
	], $imageColumns
);
$languageOverlayColumns = array_merge(
	[
		'tx_sgnews_location' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_location',
			'config' => [
				'type' => 'input',
				'size' => 20,
				'eval' => 'trim'
			]
		]
	], $imageColumns
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages', $columns);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages_language_overlay', $languageOverlayColumns);

$GLOBALS['TCA']['pages']['palettes']['titleDescriptionAndHighlightFlag'] = [
	'showitem' => 'subtitle;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.subtitle.inPalette,
		--linebreak--, description,
		--linebreak--, tx_realurl_pathsegment, tx_realurl_exclude,
		--linebreak--, tx_sgnews_highlighted, tx_sgnews_never_highlighted',
	'canNotCollapse' => 1,
];

if (\SGalinski\SgNews\Utility\VersionUtility::isVersion870OrHigher()) {
	$GLOBALS['TCA']['pages']['palettes']['editorialWithNewsAuthor'] = [
		'showitem' => 'tx_sgnews_author;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_author.inPalette,
			--linebreak--, 
			author;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.author_formlabel,
			author_email;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.author_email_formlabel,
			--linebreak--, lastUpdated;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.lastUpdated_formlabel,tx_sgnews_date_end,
			--linebreak--,tx_sgnews_likes,tx_sgnews_location',
		'canNotCollapse' => 1,
	];

	#
	# Pages
	#
	$GLOBALS['TCA']['pages']['types'][116] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		--palette--;;titleDescriptionAndHighlightFlag,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.editorial;editorialWithNewsAuthor,
		tx_sgnews_related_news, tx_sgnews_tags,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
		tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
		tx_projectbase_devnullrobots_flags,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
		tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.appearance,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.layout;layout,
	--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.behaviour,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.caching;caching,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.language;language,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
	];

	$GLOBALS['TCA']['pages']['types'][117] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		title, tx_realurl_pathsegment, tx_realurl_exclude,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
		tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
		tx_projectbase_devnullrobots_flags,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
		tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag, description,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.appearance,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.layout;layout,
	--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.behaviour,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.caching;caching,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.language;language,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
	];

	#
	# Pages Overlay
	#
	$GLOBALS['TCA']['pages_language_overlay']['types'][116] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			subtitle;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.subtitle.inPalette,
			description, tx_realurl_pathsegment, author, tx_sgnews_location,
		--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
			tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
		--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
			--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
			tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag,
		--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language,
			sys_language_uid,
		--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
	];

	$GLOBALS['TCA']['pages_language_overlay']['types'][117] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			title, tx_realurl_pathsegment,
		--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
			tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
		--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
			--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
			tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag, description,
		--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language,
			sys_language_uid,
		--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
	];
} else {
	$GLOBALS['TCA']['pages']['palettes']['editorialWithNewsAuthor'] = [
		'showitem' => 'tx_sgnews_author;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_author.inPalette,
			--linebreak--, 
			author;LLL:EXT:cms/locallang_tca.xlf:pages.author_formlabel,
			author_email;LLL:EXT:cms/locallang_tca.xlf:pages.author_email_formlabel,
			--linebreak--, lastUpdated;LLL:EXT:cms/locallang_tca.xlf:pages.lastUpdated_formlabel,tx_sgnews_date_end,--linebreak--,
			tx_sgnews_likes,--linebreak--,tx_sgnews_location',
		'canNotCollapse' => 1,
	];

	#
	# Pages
	#
	$GLOBALS['TCA']['pages']['types'][116] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		--palette--;;titleDescriptionAndHighlightFlag,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.editorial;editorialWithNewsAuthor,
		tx_sgnews_related_news, tx_sgnews_tags,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
		tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
		tx_projectbase_devnullrobots_flags,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
		tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.appearance,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.layout;layout,
	--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.behaviour,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.caching;caching,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.language;language,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
	];

	$GLOBALS['TCA']['pages']['types'][117] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		title, tx_realurl_pathsegment, tx_realurl_exclude,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
		tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
		tx_projectbase_devnullrobots_flags,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
		tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag, description,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.appearance,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.layout;layout,
	--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.behaviour,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.caching;caching,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.language;language,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
	];

	#
	# Pages Overlay
	#
	$GLOBALS['TCA']['pages_language_overlay']['types'][116] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			subtitle;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.subtitle.inPalette,
			description, tx_realurl_pathsegment, author, tx_sgnews_location,
		--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
			tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
		--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
			--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
			tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag,
		--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
	];

	$GLOBALS['TCA']['pages_language_overlay']['types'][117] = [
		'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			title, tx_realurl_pathsegment,
		--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.images,
			tx_sgnews_teaser2_image, tx_sgnews_teaser1_image,
		--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.tabs.metadata,
			--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_tca.xlf:pages.palettes.abstract;abstract,
			tx_projectbase_seo_titletag,tx_projectbase_seo_canonicaltag, description,
		--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
	];
}

// Removal of the realurl fields, if the extension isn't installed.
if (!\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('realurl')) {
	$GLOBALS['TCA']['pages']['palettes']['titleDescriptionAndHighlightFlag'] = str_replace(
		'--linebreak--, tx_realurl_pathsegment, tx_realurl_exclude,', '',
		$GLOBALS['TCA']['pages']['palettes']['titleDescriptionAndHighlightFlag']
	);
	$GLOBALS['TCA']['pages']['types'][117] = str_replace(
		'tx_realurl_pathsegment, tx_realurl_exclude,', '',
		$GLOBALS['TCA']['pages']['types'][117]
	);
}
